Routesv2ServersSlugFirewallTest

/servers/{slug}/firewall/test

Test unsaved firewall rules against one call without running the tool or writing audit records

POST
/servers/{slug}/firewall/test
AuthorizationBearer <token>

In: header

Path Parameters

slug*string
Length1 <= length

Request Body

application/json

rules*array<>

Rules in evaluation order; they do not need to be saved

call*

Response Body

application/json

curl -X POST "https://YOUR_ORG_ID.s.gatana.ai/api/v2/servers/string/firewall/test" \  -H "Content-Type: application/json" \  -d '{    "rules": [      {        "action": "deny"      }    ],    "call": {      "tool": "string",      "args": {        "property1": null,        "property2": null      },      "userId": "string"    }  }'
{
  "outcome": "allowed",
  "ruleIndex": 0,
  "allowRuleIndex": 0,
  "stoppedBy": "secrets",
  "rules": [
    {
      "result": "match",
      "error": "string",
      "reached": true
    }
  ],
  "argumentChecks": [],
  "context": {
    "tool": "string",
    "args": {
      "property1": null,
      "property2": null
    },
    "user": {
      "id": "string",
      "name": "string",
      "email": "[email protected]",
      "role": "member",
      "isDisabled": true,
      "isServiceAccount": true
    },
    "teams": [
      "string"
    ],
    "profiles": [
      "string"
    ],
    "claims": {
      "property1": null,
      "property2": null
    },
    "authMethod": "string"
  }
}